Summary: library for reading/writing GNUstep-style defaults databases
Name: libPropList
Version: 0.9.1
Release: 1
Group: Libraries
Copyright: GPL
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.windowmaker.org/pub/libs/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
The libPropList library, hereafter referred to as PL, uses an opaque
data type to represent a tree structure made of strings, data blocks,
arrays and dictionaries (key-value pair lists). This structure can be
manipulated, written out to and read in from a file, and synchronized
with the contents of a file. The purpose of PL is to closely mimick the
behaviour of the property lists used in GNUstep/OPENSTEP (there formed
with the NSString, NSData, NSArray and NSDictionary classes) and to be
compatible with it. PL enables programs that use configuration or
preference files to make these compatible with GNUstep/OPENSTEP's user
defaults handling mechanism, without needing to use Objective-C or
GNUstep/OPENSTEP themselves.


%package devel
Summary: library for reading/writing GNUstep-style defaults databases
Group: Development/Libraries
Requires: %{name} = %{version}
%description devel
This package contains libraries and header files for developing
programs which use libPropList.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/usr/lib/libPropList.so.*


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog INSTALL NEWS README TODO
/usr/lib/libPropList.so.*

%files devel
%defattr(-,root,root)
/usr/include/proplist.h
/usr/lib/libPropList.a
/usr/lib/libPropList.la
/usr/lib/libPropList.so


%clean
rm -rf $RPM_BUILD_ROOT
